#!/bin/bash

# cd project-directory
# Usage: addpkg.sh PKGLIST

if [ $# != 1 ]; then
	echo "Usage: addpkg.sh PKGLIST    # change to project directory first"
	exit 1
fi

for f in `cat $1`; do
        # check if directory exists
        if [ -d $f ]; then
                continue
        fi
        # Then create the package
        osc mkpac $f
        cd $f
        cat >_service <<eof
<services>
        <service name="tar_scm">
                <param name="scm">git</param>
                <param name="url">git@gitee.com:src-openeuler/$f.git</param>
                <param name="revision">openEuler-25.03</param>
                <param name="exclude">*</param>
                <param name="extract">*</param>
        </service>
</services>
eof

        osc add _service
        cd ..
        osc commit -n > /dev/null
done >/dev/null
